## com.crystaldecisions.sdk.occa.report.exportoptions
Class RTFWordExportFormatOptions

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.exportoptions.PageBasedExportFormatOptions
          com.crystaldecisions.sdk.occa.report.exportoptions.RTFWordExportFormatOptions

All Implemented Interfaces:
  IClone, IPageBasedExportFormatOptions, IRTFWordExportFormatOptions

public class RTFWordExportFormatOptions
extends PageBasedExportFormatOptions
implements IRTFWordExportFormatOptions

This class provides options that can be set when exporting a report to Word or RTF format. When possible, use the `IRTFWordExportFormatOptions` interface.

Note: Only RTF and PDF exporting are supported with Crystal Reports for BEA WebLogic Workshop. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

Constructor Summary
`RTFWordExportFormatOptions()`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, java.lang.String sTag, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.exportoptions.PageBasedExportFormatOptions
`copyTo, createMember, endElement, getEndPageNumber, getStartPageNumber, hasContent, readElement, saveContents, setEndPageNumber, setStartPageNumber, startElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.exportoptions.IPageBasedExportFormatOptions
`getEndPageNumber, getStartPageNumber, setEndPageNumber, setStartPageNumber`

Constructor Detail

### RTFWordExportFormatOptions

    public RTFWordExportFormatOptions()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Overrides:
    `clone` in class `PageBasedExportFormatOptions`

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `PageBasedExportFormatOptions`

  For internal use only.

  Overrides:
    `save` in class `PageBasedExportFormatOptions`
  Throws:
    `java.io.IOException`

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     java.lang.String sTag,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `PageBasedExportFormatOptions`

  For internal use only.

  Overrides:
    `save` in class `PageBasedExportFormatOptions`
  Throws:
    `java.io.IOException`